package gaf3.core.services.verify

import gaf3.core.cloud.GafCloudConfiguration
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@SpringBootApplication
@RestController
@Import(GafCloudConfiguration::class, GafVerifyConfiguration::class)
class ServiceVerifyApplication{

    @RequestMapping("/verify/hello")
    fun hello(): String {
        return "hello"
    }

}

fun main(args: Array<String>) {
    runApplication<ServiceVerifyApplication>(*args)
}
